Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface PropertySet

    public interface PropertySet

Represents a set of properties on a TaskPlan definition. A property set can contain zero or more Property instances. In addition, a property set defines a locking facility that allows task instances at runtime to lock and unlock the set. Locked property sets do not allow updates to their properties values.

Method Summary
`Property` | `addProperty(String name)` Add a new property to this property set.
`boolean` | `getInitialLockState()` Get the initial locked/unlocked state for this property set.
`Property` | `getProperty(String name)` Get a property with the given name.
`String[]` | `getPropertyNames()` Get an array of names for the properties defined in this property set.
`void` | `removeProperty(String name)` Remove the property with the given name from this property set.
`void` | `renameProperty(String oldName, String newName)` Rename the property with the given name with the given new name.
`void` | `setInitialLockState(boolean locked)` Set the initiall locked/unlocked state for this property set.

Method Detail

### getInitialLockState

    boolean getInitialLockState()

  Get the initial locked/unlocked state for this property set. This is the value of the lock state that will be given to runtime property sets on all task instance created based on this property set's parent task type.

  Returns:
    True if this property set should be locked upon creation, and false otherwise.

### setInitialLockState

    void setInitialLockState(boolean locked)

  Set the initiall locked/unlocked state for this property set.

  Parameters:
    `locked` - If true, this property set will be in the locked state upon creation at runtime, otherwise it will be unlocked.

### getPropertyNames

    String[] getPropertyNames()

  Get an array of names for the properties defined in this property set.

### getProperty

    Property getProperty(String name)
                         throws UnknownObjectException

  Get a property with the given name.

  Parameters:
    `name` - Name of the property to retrieve
  Returns:
    The property with the given name.
  Throws:
    `UnknownObjectException` - If no property with the given name can be found in this property set.

### addProperty

    Property addProperty(String name)

  Add a new property to this property set.

  Parameters:
    `name` - Name of the new property.
  Returns:
    The new Property that was added to this property set.

### removeProperty

    void removeProperty(String name)

  Remove the property with the given name from this property set. The property is destroyed during this operation, and can no longer be used.

  Parameters:
    `name` - The name of the property to remove.

### renameProperty

    void renameProperty(String oldName,
                        String newName)
                        throws UnknownObjectException

  Rename the property with the given name with the given new name.

  Parameters:
    `oldName` - The current name of the property to be renamed.
    `newName` - The new name to give to the property.
  Throws:
    `UnknownObjectException` - If no property with the given old name can be found in this property set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD